echo --------------------
echo begin to copy other files 
echo --------------------
echo 
 
set CompileOutputFolder=..\bin\debug
set DistFolder=..\dist

set EulaSourceFolder=%CompileOutputFolder%\eula
set EulaDestFolderName=eula
set EulaDestFolder=%DistFolder%\%EulaDestFolderName%

set HelpSourceFolder=%CompileOutputFolder%\help
set HelpDestFolderName=help
set HelpDestFolder=%DistFolder%\%HelpDestFolderName%

set SampleSourceFolder=%CompileOutputFolder%\Sample
set SampleDestFolderName=Sample
set SampleDestFolder=%DistFolder%\%SampleDestFolderName%

set SchemaSourceFolder=%CompileOutputFolder%\Schema
set SchemaDestFolderName=Schema
set SchemaDestFolder=%DistFolder%\%SchemaDestFolderName%
 

echo 1. begin to copy other binary files to dist folder ...
 

rem copy other files 
copy %CompileOutputFolder%\AnyDbTest.exe.config %DistFolder% 

rem copy XmlBrowser files
copy %CompileOutputFolder%\XmlBrowser.dll %DistFolder%
copy %CompileOutputFolder%\XmlExplorer.TreeView.dll %DistFolder% 

 
rem copy postgres assembly
copy %CompileOutputFolder%\Npgsql.dll %DistFolder%
copy %CompileOutputFolder%\Mono.Security.dll %DistFolder%

rem copy MySql assembly
copy %CompileOutputFolder%\MySql.Data.dll %DistFolder%

rem copy Devart Oracle assembly
copy %CompileOutputFolder%\Devart.Data.Oracle.dll %DistFolder%
copy %CompileOutputFolder%\Devart.Data.dll %DistFolder%



echo 2.1  make schema directory
cd
cd %DistFolder%
mkdir %SchemaDestFolderName% 
cd ..

echo 2.2  Copy schema files
cd
copy %SchemaSourceFolder%\DbConnectionSchema2.xsd %SchemaDestFolder%
copy %SchemaSourceFolder%\TestFileSchema2.xsd  %SchemaDestFolder%


echo 3.1  make sample directory 
cd
cd %DistFolder% 
mkdir %SampleDestFolderName%
cd ..

echo 3.2  copy sample files
cd
echo %SampleSourceFolder%
echo %DistFolder% 
xcopy %SampleSourceFolder% %SampleDestFolder%\  /E /Y 
 


echo 4.1  make docs directory 
cd
cd %DistFolder% 
mkdir %EulaDestFolderName%
cd ..


echo 4.2  copy docs files
cd
echo %EulaSourceFolder%
echo %DistFolder% 
xcopy %EulaSourceFolder% %EulaDestFolder%\  /E /Y 


echo 5.1  make help directory 
cd
cd %DistFolder% 
mkdir %HelpDestFolderName%
cd ..


echo 5.2  copy help files
cd
echo %HelpSourceFolder%
echo %DistFolder% 
xcopy %HelpSourceFolder% %HelpDestFolder%\  /E /Y 



 
echo --------------------
echo finish to copy other files 
echo --------------------
echo  

rem pause