echo --------------------
echo move all database ado.net providers into one special folder
echo    Except SqlServer, and System.oracle.client.dll 
echo --------------------
 
 
set CompileOutputFolder=..\bin\debug
set DbProviderFolder=..\bin\debug\db_provider

mkdir %DbProviderFolder%

echo copy mysql 
set MysqlFolder=%DbProviderFolder%\mysql
mkdir %MysqlFolder%
move /Y %CompileOutputFolder%\MySql.Data.dll %MysqlFolder%


echo copy Devart Oracle 
set DevartOracleFolder=%DbProviderFolder%\Oracle_Devart
mkdir %DevartOracleFolder%
move /Y %CompileOutputFolder%\Devart.Data.Oracle.dll %DevartOracleFolder%
move /Y %CompileOutputFolder%\Devart.Data.dll %DevartOracleFolder%
move /Y %CompileOutputFolder%\Devart.Data.Oracle.xml %DevartOracleFolder%



echo copy postgresql
set PostgresqlFolder=%DbProviderFolder%\postgresql
mkdir %PostgresqlFolder%
move /Y %CompileOutputFolder%\Npgsql.dll %PostgresqlFolder%
move /Y %CompileOutputFolder%\Mono.Security.dll %PostgresqlFolder%
move /Y %CompileOutputFolder%\policy.2.0.Npgsql.dll %PostgresqlFolder%
move /Y %CompileOutputFolder%\Npgsql.xml %PostgresqlFolder%
move /Y %CompileOutputFolder%\policy.2.0.Npgsql.config %PostgresqlFolder%
mkdir %PostgresqlFolder%\de
mkdir %PostgresqlFolder%\es
mkdir %PostgresqlFolder%\fi
mkdir %PostgresqlFolder%\fr
mkdir %PostgresqlFolder%\ja
mkdir %PostgresqlFolder%\zh-CN
xcopy %CompileOutputFolder%\de\*.* %PostgresqlFolder%\\de\*.*  /E /Y
xcopy %CompileOutputFolder%\es\*.* %PostgresqlFolder%\es\*.*  /E /Y
xcopy %CompileOutputFolder%\fi\*.* %PostgresqlFolder%\fi\*.*  /E /Y
xcopy %CompileOutputFolder%\fr\*.* %PostgresqlFolder%\fr\*.*   /E /Y
xcopy %CompileOutputFolder%\ja\*.* %PostgresqlFolder%\ja\*.*  /E /Y
xcopy %CompileOutputFolder%\zh-CN\*.* %PostgresqlFolder%\zh-CN\*.*  /E /Y
rmdir /Q /S %CompileOutputFolder%\de 
rmdir /Q /S %CompileOutputFolder%\es 
rmdir /Q /S %CompileOutputFolder%\fi 
rmdir /Q /S %CompileOutputFolder%\fr 
rmdir /Q /S %CompileOutputFolder%\ja 
rmdir /Q /S %CompileOutputFolder%\zh-CN 

 
rem echo copy sqlite
rem set SqliteFolder=%DbProviderFolder%\sqlite
rem mkdir %SqliteFolder%
rem move /Y %CompileOutputFolder%\System.Data.SQLite.dll %SqliteFolder%

 