﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DbSharp.Framework.Common
{
    public class InterruptExecuteException : DbSharpException
    {
        public InterruptExecuteException()
            : base("Interrupt by user.")
        { 
        }
    }



    public class IgnoreExecutionException : DbSharpException
    {
        public IgnoreExecutionException()
            : base("Ignore execution.")
        {
        }
    }

}
