﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace DbSharp.Framework.Diff
{
    public interface ISetDiffOutputer
    {
        void WriteChangedLines(string outputFileName, string title, HashSet<LegendDisplayFlag> legendFlag, List<string> fieldsOutputNameList, IEnumerable<XElement> addedLines, IEnumerable<XElement> deletedLines);
        void WriteCommonLines(string outputFileName, string title, HashSet<LegendDisplayFlag> legendFlag, List<string> fieldsOutputNameList, IEnumerable<XElement> commonLines);
        void WriteUnionLines(string outputFileName, string title, HashSet<LegendDisplayFlag> legendFlag, List<string> fieldsOutputNameList, IEnumerable<XElement> commonLines, IEnumerable<XElement> addedLines, IEnumerable<XElement> deletedLines);
    }

    public interface ITextLineDiffOutputer
    {
        void WriteRevisionsDiff(string outputFileName, string title, string rev1, string rev2);
    }

}
