﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DbSharp.Framework.TestEngine;

namespace DbSharp.ConsoleRunner
{

    class ConsoleTestReportNotifier : ITestReportNotify
    {

        #region ITestReportNotify Members

        public void UpdateStatus(TestReport summary)
        {
            string outputText = summary.ToString();
            if (string.IsNullOrEmpty(outputText) == false)
            {
                Console.WriteLine(outputText);
            }
        }

        #endregion
    }
}
